[SCM] CTDB repository - branch 1.0.114 updated - ctdb-1.0.114.3-1-g0c3f11a

Michael Adam obnox at samba.org
Fri Jul 22 07:52:39 MDT 2011


The branch, 1.0.114 has been updated
       via  0c3f11a949f99d44dbe53831ccba8784b328d178 (commit)
      from  8ee1e84498fd91ffbd2f58edc5ac789df9679c80 (commit)

http://gitweb.samba.org/?p=ctdb.git;a=shortlog;h=1.0.114


- Log -----------------------------------------------------------------
commit 0c3f11a949f99d44dbe53831ccba8784b328d178
Author: Michael Adam <obnox at samba.org>
Date:   Fri Jul 22 10:27:40 2011 +0200

    packaging: honour rpm build target options handed in to makerpms.sh
    
    This allows to call e.g. "makerpms.sh -bs" to build only the source RPM.
    (cherry picked from commit c6bfba2bb66962b7b05d708f0747002700991472)

-----------------------------------------------------------------------

Summary of changes:
 packaging/RPM/makerpms.sh |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)


Changeset truncated at 500 lines:

diff --git a/packaging/RPM/makerpms.sh b/packaging/RPM/makerpms.sh
index a51099c..50baa43 100755
--- a/packaging/RPM/makerpms.sh
+++ b/packaging/RPM/makerpms.sh
@@ -85,7 +85,18 @@ cp -p ${DIRNAME}/${SPECFILE} ${SPECDIR}
 ## Build
 ##
 echo "$(basename $0): Getting Ready to build release package"
-${RPMBUILD} -ba --clean --rmsource ${EXTRA_OPTIONS} ${SPECDIR}/${SPECFILE} || exit 1
+
+case ${EXTRA_OPTIONS} in
+	*-b*)
+		BUILD_TARGET=""
+		;;
+	*)
+		BUILD_TARGET="-ba"
+		;;
+esac
+
+
+${RPMBUILD} ${BUILD_TARGET} --clean --rmsource ${EXTRA_OPTIONS} ${SPECDIR}/${SPECFILE} || exit 1
 
 echo "$(basename $0): Done."
 


-- 
CTDB repository


More information about the samba-cvs mailing list